import React, {Component} from "react"


export default function (teeMoStore) {

    return function (TargetComponent) {

        return class extends Component {

            componentWillMount() {
                teeMoStore.clearModel();
                teeMoStore.restart()
            }

            render() {
                return (
                    <TargetComponent {...this.props} />
                )
            }

        }

    }

}